Bug 36138

Summary: Add cancellation reason to the status column on the OPAC hold history page
Product: Koha Reporter: Lucas Gass <lucas>
Component: OPACAssignee: Lucas Gass <lucas>
Status: Pushed to main --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: esther.melander
Version: Main   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00
Attachments: Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason
Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason
Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason

Description Lucas Gass 2024-02-20 20:48:05 UTC
On the staff interface the Status column on members/holdshistory.pl includes the reason for cancellation, if there is one. 

We should add this to Status column on opac-holdshistory.pl as well.
Comment 1 Lucas Gass 2024-02-20 20:52:54 UTC
Created attachment 162309 [details] [review]
Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason

TO TEST:
1. Turn on OPACHoldsHistory
2. Make some holds for a patron and then cancel them with a reason.
3. Log in as that patron and go to the 'Holds history' tab. Notice the text in the 'Status' column is 'Cancelled' but nothing shows up regarding the reason.
4. Apply patch and try again, this time you should see the reason for cancellation.
Comment 2 Biblibre Sandboxes 2024-02-23 20:39:31 UTC
Created attachment 162404 [details] [review]
Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason

TO TEST:
1. Turn on OPACHoldsHistory
2. Make some holds for a patron and then cancel them with a reason.
3. Log in as that patron and go to the 'Holds history' tab. Notice the text in the 'Status' column is 'Cancelled' but nothing shows up regarding the reason.
4. Apply patch and try again, this time you should see the reason for cancellation.

Signed-off-by: Esther <esther@bywatersolutions.com>
Comment 3 Pedro Amorim 2024-02-26 09:40:08 UTC
Created attachment 162425 [details] [review]
Bug 36138: Add reason to status column on opac-holdshistory, if there is a reason

TO TEST:
1. Turn on OPACHoldsHistory
2. Make some holds for a patron and then cancel them with a reason.
3. Log in as that patron and go to the 'Holds history' tab. Notice the text in the 'Status' column is 'Cancelled' but nothing shows up regarding the reason.
4. Apply patch and try again, this time you should see the reason for cancellation.

Signed-off-by: Esther <esther@bywatersolutions.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 4 Katrin Fischer 2024-04-19 16:19:00 UTC
Pushed as is, but maybe you want to add a span? The status are all wrapped already and it would make it much easier to target this string if required.
Comment 5 Katrin Fischer 2024-04-19 16:32:15 UTC
Pushed for 24.05!

Well done everyone, thank you!